buffer_frombuf(3)

NAME
buffer_frombuf - initialize buffer structure from raw memory

SYNTAX
#include <libowfat/buffer.h>

void buffer_frombuf(buffer* b,const char* x, size_t l);

DESCRIPTION
buffer_frombuf makes a virtual read buffer from a raw memory area. The buffer reading functions will be able to read until the end of the data in the memory area, then signal EOF. The buffer does not have its own buffer space, it reuses the one passed into this function.

Do not touch this memory until you are done with the buffer!

Reading data from the buffer will not change the memory you passed in.

SEE ALSO
buffer_fromsa(3), buffer_init(3), buffer(3), buffer_frombuf(3)